#ifndef _VARS_HPP_
#define _VARS_HPP_
#include <time.h>
#include "log.hpp"
#include "nodelist.hpp"
#include "badmsg.hpp"
#include "msgbase.hpp"
#include "ufmtypes.h"

typedef enum { KILL_NEVER, KILL_ALWAYS, KILL_FLAG } KillModeT;
typedef enum { CHECKPNT_NEVER, CHECKPNT_HARD, CHECKPNT_SOFT } CheckPointsT;
typedef enum { FILEBOXLONG, FILEBOXTMLONG, FILEBOXTMSHORT } fileboxType;

extern KillModeT KillMode;

extern char *ConfigFile;
extern LogStream Log;
extern int LogLevel;
extern char *LogFileName;
extern NodeLists Ndl;
extern FA MyAddr;
extern char *SysopName;
extern int UseOwnZone;
extern char *LoopStr;
extern int ForceINTL;
extern unsigned int MaxAge;

extern int UseASO;
extern int UseFileBoxes;

extern char *CurrLinePos;
extern char *LastCfgLine;
extern uint LastCfgLineNum;

extern tBadMsgMode BadMsgMode;
extern tBadMsgMode BadPktMode;
extern MSGBASE *BadMsgBase;

extern int LogIgnore;

extern int SkipHiddenFiles;
extern char *FileInbound;

extern int AddToNullPkt;
extern char *Outbound;
extern char *FileBoxDir;
extern char *TrafficLog;
extern MSGBASE *TempMail;
extern int UTC;
extern sdword CHP;
extern int UnpackNeed;

extern char *Origin;
extern char *Tearline;

extern time_t LastTime;
extern int CreateMissingBase;
extern char *APktDir;
extern unsigned int MaxAttachSize;
extern time_t MaxNodelistAge;

class ScanDir;

extern ScanDir *BeforeRoute;
extern ScanDir *AfterRoute;

extern int NewVIAType;
extern int SetViaAlways;
extern int SoftCheckInNodelists;
extern CheckPointsT CheckPoints;
extern fileboxType FileBoxType;
class DoList;
extern DoList *LastDo;
extern int PrevMask;
extern char *TimeStampFile;
extern char *BadPktDir;
extern char *Semaphore;
extern unsigned int  SemaphoreTime;
extern char *TrafficLogTpl;
extern int IgnoreBSY;
extern int IgnoreAttachPath;
extern int StripPathInPKT;
extern int AgeFromVia;
#endif

